org.openstreetmap.josm.plugins.streetside.gui

## Enum StreetsideMainDialog.MODE

- java.lang.Object
- - java.lang.Enum<StreetsideMainDialog.MODE>
  - - org.openstreetmap.josm.plugins.streetside.gui.StreetsideMainDialog.MODE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StreetsideMainDialog.MODE>
  Enclosing class:
    StreetsideMainDialog

      public static enum StreetsideMainDialog.MODE
      extends java.lang.Enum<StreetsideMainDialog.MODE>

  Buttons mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NORMAL` Standard mode to view pictures.
    `WALK` Mode when in walk.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreetsideMainDialog.MODE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StreetsideMainDialog.MODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final StreetsideMainDialog.MODE NORMAL

      Standard mode to view pictures.

    - #### WALK

          public static final StreetsideMainDialog.MODE WALK

      Mode when in walk.

  - ### Method Detail

    - #### values

          public static StreetsideMainDialog.MODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreetsideMainDialog.MODE c : StreetsideMainDialog.MODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreetsideMainDialog.MODE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

JOSM Plugins